Skip site navigation (1) Skip section navigation (2)

Re: cannot install psycopg2

From: Peter Irbizon <peterirbizon(at)gmail(dot)com>
To: Adrian Klaver <adrian(dot)klaver(at)gmail(dot)com>
Cc: psycopg(at)postgresql(dot)org
Subject: Re: cannot install psycopg2
Date: 2012-01-01 20:25:02
Message-ID: CABFuWSx-pKJM8m_9TODGOXcpPLTeX5hRrjFfPrGzVERdkigzyQ@mail.gmail.com (view raw or flat)
Thread:
Lists: psycopg
2012/1/1 Peter Irbizon <peterirbizon(at)gmail(dot)com>

> thanks I did. Unfortunately no progress. I have mingw but I always stuck
> at this error...
>
>
> 2012/1/1 Adrian Klaver <adrian(dot)klaver(at)gmail(dot)com>
>
>>  On Sunday, January 01, 2012 11:40:07 am Peter Irbizon wrote:
>> > hello,please help, I am trying to install psycopg on winXP Pro with
>> Python
>> > 2.7 but the following errors occured: What am I doing wrong?
>> >
>> > C:\Python_ext\psycopg2-2.4.4>python setup.py install
>> > running install
>> > running build
>> > running build_py
>> > running build_ext
>> > building 'psycopg2._psycopg' extension
>> > C:\MinGW\bin\gcc.exe -mno-cygwin -mdll -O -Wall
>> > -DPSYCOPG_DEFAULT_PYDATETIME=1 "-DPSYCOPG_VER
>> > SION=\"2.4.4 (dt dec pq3 ext)\"" -DPG_VERSION_HEX=0x090102
>> > -DPSYCOPG_EXTENSIONS=1 -DPSYCOPG_N
>> > EW_BOOLEAN=1 -DHAVE_PQFREEMEM=1 -IC:\Python27\include -IC:\Python27\PC
>> -I.
>> > -IC:/PROGRA~1/POST
>> > GR~1/9.1/include -IC:/PROGRA~1/POSTGR~1/9.1/include/server -c
>> > psycopg\psycopgmodule.c -o buil
>> > d\temp.win32-2.7\Release\psycopg\psycopgmodule.o -O3
>> -fno-strict-aliasing
>> > cc1.exe: error: unrecognized command line option '-mno-cygwin'
>> > error: command 'gcc' failed with exit status 1
>>
>> The best answer is go to:
>>
>> http://initd.org/psycopg/install/
>>
>> and read the section on "Installing on Windows"
>>
>>
>>
>>
>> --
>> Adrian Klaver
>> adrian(dot)klaver(at)gmail(dot)com
>>
>
>

In response to

Responses

psycopg by date

Next:From: Joe AbbateDate: 2012-01-01 20:37:07
Subject: Re: cannot install psycopg2
Previous:From: Peter IrbizonDate: 2012-01-01 20:24:25
Subject: Re: cannot install psycopg2

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group